<?php

namespace Drupal\js_editor\Theme;

use Drupal\Core\Theme\ThemeNegotiatorInterface;
use Drupal\Core\Routing\RouteMatchInterface;
use Drupal\Core\Url;

/**
 * Class to integrate JS Editor with the theme.
 *
 * Class JsEditorThemeNegotiator.
 *
 * @package Drupal\js_editor\Theme
 */
class JsEditorThemeNegotiator implements ThemeNegotiatorInterface {

  /**
   * {@inheritdoc}
   */
  public function applies(RouteMatchInterface $route_match) {
    return isset($_REQUEST['theme']) && isset($_SERVER['HTTP_REFERER']) &&
      $_SERVER['HTTP_REFERER'] == Url::fromUri('internal:/admin/appearance/settings/' . $_REQUEST['theme'], ['absolute' => TRUE])->toString();
  }

  /**
   * {@inheritdoc}
   */
  public function determineActiveTheme(RouteMatchInterface $route_match) {
    return $_REQUEST['theme'];
  }

}
